%define major       0
%define libname     Rivet
%define libnamedev  Rivet-devel
%define develnamestatic  Rivet-static-devel
%define debug_package %{nil} 
%global _python_bytecompile_errors_terminate_build 0
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Name:           Rivet
Version:        3.0.2
Release:        6%{?dist}
License:        GPLv3
Url:            http://rivet.hepforge.org/
Source0:        https://rivet.hepforge.org/downloads/%{name}-%{version}.tar.gz
Source1:        RivetPatch.tar.gz

Prefix: %{_prefix}
Summary:        Robust Independent Validation of Experiment and Theory. With bugfixes.
Requires:       YODA gsl fastjet  zlib fastjet-devel
Requires:       HepMC3
Requires:       HepMC3-search
Requires:       fjcontrib
BuildRequires:  fjcontrib
BuildRequires:  libstdc++-devel gcc-gfortran gcc-c++ gcc YODA YODA-devel binutils
BuildRequires:  automake autoconf libtool  fastjet-devel fastjet gsl gsl-devel zlib zlib-devel 
BuildRequires:  HepMC3-devel
BuildRequires:  HepMC3-search-devel
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: python2 python2-devel  
Requires:      python2-YODA
%else
BuildRequires:   Cython python python-devel
Requires:        python-YODA
%endif
%if  %{?rhel}%{!?rhel:0} >= 8
BuildRequires: platform-python-devel
%endif
%if %{?fedora}%{!?fedora:0}  >= 31
BuildRequires: python3-devel
%endif



%description
The Rivet project (Robust Independent Validation of Experiment and Theory) 
is a toolkit for validation of Monte Carlo event generators. It provides a
large (and ever growing) set of experimental analyses useful for MC generator 
development, validation, and tuning, as well as a convenient infrastructure for
 adding your own analyses. Rivet is the most widespread way by which analysis code 
 from the LHC and other high-energy collider experiments is preserved for comparison 
 to and development of future theory models. 




%package  devel
Summary:        Libraries and headers for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:      YODA-devel
%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.





%prep
%setup -q -n %{name}-%{version}
%setup -q -T -D -a 1
cp -r RivetPatch/rivethg/* ./

%build

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
export PYTHON=%{_bindir}/python2
export CXXFLAGS=-Wno-error
pathfix.py -pn -i %{__python2}  ./
pathfix.py -pn -i %{__python2}  bin/rivet*
pathfix.py -pn -i %{__python2}  bin/make-*
%endif


autoreconf --force --install --verbose .
automake -a --force
%configure  --disable-doxygen --with-yoda=$(yoda-config --prefix ) --with-hepmc3=$(HepMC3-config --prefix) --with-fjcontrib=/usr --with-fastjet=$(fastjet-config --prefix)
make %{?_smp_mflags}

%install
%make_install 


%files 
%doc AUTHORS README COPYING
%{_bindir}/*
/usr/%_lib/*


%files -n %{libnamedev}
%{_includedir}/Rivet/*
/usr/share/Rivet/*

%changelog
* Wed Nov 27 2019 Andrii Verbytskyi 3.0.2
+ Initial spec file for 3.0.2
* Wed Oct 9 2019 Andrii Verbytskyi 3.0.1
+ Initial spec file for 3

